Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Pseudo_Var_T< T > Class Template Reference

Parametrized implementation of _var class for TypeCode, Object, AbstractBase, NamedValue, NVList, Principal, Request, Context, ORB, LocalObject, and Environment. More...

`#include <Pseudo_VarOut_T.h>`

Inheritance diagram for TAO_Pseudo_Var_T< T >:

[legend]
Collaboration diagram for TAO_Pseudo_Var_T< T >:

[legend]
List of all members.

## Public Types
typedef T * | _in_type
typedef T *& | _inout_type
typedef T *& | _out_type
typedef T * | _retn_type
## Public Methods
| TAO_Pseudo_Var_T (void)
| TAO_Pseudo_Var_T (T *)
| TAO_Pseudo_Var_T (const TAO_Pseudo_Var_T< T > &)
| ~TAO_Pseudo_Var_T (void)
TAO_Pseudo_Var_T< T > & | operator= (T *)
TAO_Pseudo_Var_T< T > & | operator= (const TAO_Pseudo_Var_T< T > &)
T * | operator-> (void) const
| operator T *const & () const
| operator T *& ()
_in_type | in (void) const
_inout_type | inout (void)
_out_type | out (void)
_retn_type | _retn (void)
_retn_type | ptr (void) const
## Private Attributes
T * | ptr_

## Detailed Description

### template<typename T>
class TAO_Pseudo_Var_T< T >

Parametrized implementation of _var class for TypeCode, Object, AbstractBase, NamedValue, NVList, Principal, Request, Context, ORB, LocalObject, and Environment.

## Member Typedef Documentation

template<typename T>
typedef T* TAO_Pseudo_Var_T< T >::_in_type

template<typename T>
typedef T*& TAO_Pseudo_Var_T< T >::_inout_type

template<typename T>
typedef T*& TAO_Pseudo_Var_T< T >::_out_type

template<typename T>
typedef T* TAO_Pseudo_Var_T< T >::_retn_type

## Constructor & Destructor Documentation

template<typename T>
ACE_INLINE TAO_Pseudo_Var_T< T >::TAO_Pseudo_Var_T | ( | void |  | ) |

template<typename T>
ACE_INLINE TAO_Pseudo_Var_T< T >::TAO_Pseudo_Var_T | ( | T * |  | ) |

template<typename T>
ACE_INLINE TAO_Pseudo_Var_T< T >::TAO_Pseudo_Var_T | ( | const TAO_Pseudo_Var_T< T > & |  | ) |

template<typename T>
ACE_INLINE TAO_Pseudo_Var_T< T >::~TAO_Pseudo_Var_T | ( | void |  | ) |

## Member Function Documentation

template<typename T>
ACE_INLINE T * TAO_Pseudo_Var_T< T >::_retn | ( | void |  | ) |

template<typename T>
ACE_INLINE T * TAO_Pseudo_Var_T< T >::in | ( | void |  | ) | const

template<typename T>
ACE_INLINE T *& TAO_Pseudo_Var_T< T >::inout | ( | void |  | ) |

template<typename T>
ACE_INLINE TAO_Pseudo_Var_T< T >::operator T *& | ( |  | ) |

template<typename T>
ACE_INLINE TAO_Pseudo_Var_T< T >::operator T *const & | ( |  | ) |

template<typename T>
ACE_INLINE T * TAO_Pseudo_Var_T< T >::operator-> | ( | void |  | ) | const

template<typename T>
TAO_Pseudo_Var_T< T > & TAO_Pseudo_Var_T< T >::operator= | ( | const TAO_Pseudo_Var_T< T > & |  | ) |

template<typename T>
ACE_INLINE TAO_Pseudo_Var_T< T > & TAO_Pseudo_Var_T< T >::operator= | ( | T * |  | ) |

template<typename T>
ACE_INLINE T *& TAO_Pseudo_Var_T< T >::out | ( | void |  | ) |

template<typename T>
ACE_INLINE T * TAO_Pseudo_Var_T< T >::ptr | ( | void |  | ) | const

## Member Data Documentation

template<typename T>
T* TAO_Pseudo_Var_T< T >::ptr_`[private]`

The documentation for this class was generated from the following files:

- Pseudo_VarOut_T.h
- Pseudo_VarOut_T.cpp
- Pseudo_VarOut_T.inl